# delete-lines-using-string

Removes lines before/after a string match.

## Methods

```js
// includeSearchLength allows you to either include the search string itself in the deletion process or not.

removeBefore(search,includeSearchLength)           // Removes all lines before search string
removeAfter(search,includeSearchLength)            // Removes all lines before search string
```

```js
var gulp = require('gulp'),
    rename = require('gulp-rename'),
    deleteLinesPoint = require('delete-lines-using-string');

gulp.task('deleteLinesUsingString:removeBefore', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeBefore('<!-- DELETION POINT -->', 'true'))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('deleteLinesUsingString:removeAfter', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeAfter('<!-- DELETION POINT -->', 'true'))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('default', [
    'deleteLinesUsingString:removeBefore',
    'deleteLinesUsingString:removeAfter'
]);

```


## Changes

### v1.0.0 - 2018-08-22

- Initial Commit

## Special Thanks
### Major props to Michael Hazell for developing gulp-inject-string which a lot of this was repurposed from. You can find gulp-inject-string here: https://github.com/Schmicko/gulp-inject-string