/*
 *	delete-lines-using-string
 *
 *	Copyright (c) 2018 Michael Lewandowski
 *	Licensed under the MIT license.
 *
 *	Major props to Michael Hazell for developing gulp-inject-string
 *  which a lot of this was repurposed from
 *
 *	You  can find gulp-inject-string here:
 *	https://github.com/Schmicko/gulp-inject-string
 */
 
var es = require('event-stream'),
    PluginError = require('plugin-error');

var stream = function(remove_lines_method){
    return es.map(function (file, cb) {
        try {
            file.contents = new Buffer( remove_lines_method( String(file.contents) ));
        } catch (err) {
            return cb(new PluginError('delete-lines-using-string', err));
        }
        cb(null, file);
    });
};

module.exports = {
    removeBefore: function(search,includeSearchString){
        return stream(function(fileContents){
            var index, start, end;
            index = fileContents.indexOf(search);
            if(index > -1){
            	if(includeSearchString)
            		index += search.length;
                start = fileContents.substr(0, index);
                end = fileContents.substr(index);
                return end;
            } else {
                return fileContents;
            }
        });
    },
    removeAfter: function(search,includeSearchString){
        return stream(function(fileContents){
            var index, start, end;
            index = fileContents.indexOf(search);
            if(index > -1){
            	if(includeSearchString)
            		index += search.length;
                start = fileContents.substr(0, index);
                end = fileContents.substr(index);
                return start ;
            } else {
                return fileContents;
            }
        });
    },
};

module.exports._stream = stream;